Fork me on GitHub"

# skbio.diversity.alpha.brillouin_d

skbio.diversity.alpha.brillouin_d(counts)

  Calculate Brillouin index of alpha diversity.

  State: Experimental as of 0.4.0.

  This is calculated as follows:

  \[HB = \frac{\ln N!-\sum^s_{i=1}{\ln n_i!}}{N}\]

  where \(N\) is defined as the total number of individuals in the sample, \(s\) is the number of OTUs, and \(n_i\) is defined as the number of individuals in the \(i^{\text{th}}\) OTU.

  Parameters:

    counts (1-D array_like, int) – Vector of counts.

  Returns:

    Brillouin index.

  Return type:

    double

  Notes

  The implementation here is based on the description given in the SDR-IV online manual [1].

  References

  [1]

  http://www.pisces-conservation.com/sdrhelp/index.html